// JavaScript Document// 扩展API加载完毕后调用onPlusReady回调函数 
document.addEventListener( "plusready", onPlusReady, false ); 
// 扩展API加载完毕，现在可以正常调用扩展API
var shares=null,sharewx=null;
var auths=null;
var localimg;
var wgtVer=null;
var channel=null;

function onPlusReady() {
isApp=true;
captureImage();
mui('#pullrefresh').scroll();
			
plus.share.getServices( function(s){
		shares = s;
		for(var i in s){
			if('weixin'==s[i].id){
				sharewx=s[i];
			}
		}
	}, function(e){
		alert( "获取分享服务列表失败："+e.message );
	} );

plus.oauth.getServices( function(services){
		auths = services;
	}, function(e){
		alert( "获取登录服务列表失败："+e.message+" - "+e.code );
	} );

// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid,function(inf){
		wgtVer=inf.version;
		console.log("当前应用版本："+wgtVer);
	});
	
	// 获取支付通道
    plus.payment.getChannels(function(channels){
        channel=channels[0];
    },function(e){
        alert("获取支付通道失败："+e.message);
    });
}

// 拍照
function captureImage(){

	var cmr = plus.camera.getCamera();
	var res = cmr.supportedImageResolutions[0];
	var fmt = cmr.supportedImageFormats[0];
	console.log("Resolution: "+res+", Format: "+fmt);
	cmr.captureImage( function( path ){
			//alert( "Capture image success: " + path );
			plus.io.resolveLocalFileSystemURL( path, function ( entry ) { 
															   
            var localurl = entry.toLocalURL();//
			//alert(localurl)
			localimg=localurl ;
			initface();
			//alert(localurl)
        });

		},
		function( error ) {
			//alert( "Capture image failed: " + error.message );
		},
		{resolution:res,format:fmt}
	);
}

// 从相册中选择图片 
function galleryImg() {
	// 从相册中选择图片
	console.log("从相册中选择图片:");
    plus.gallery.pick( function(path){
    console.log(path);
var loader = new LLoader();
loader.load(path,"bitmapData");
loader.addEventListener(LEvent.COMPLETE,base64faceComplete)	
    }, function ( e ) {
    	console.log( "取消选择图片" );
    }, {filter:"image"} );
}

// 保存图片到相册中 
function savePicture() {
	plus.gallery.save( "_doc/a.jpg", function () {
		alert( "保存图片到相册成功" );
	} );
}

//

function shareWeixinMessage(){
	
		plus.downloader.createDownload(wximgurl, {filename:"_doc/update/"}, function(d,status){
		if ( status == 200 ) { 
		console.log("下载wgt成功："+d.filename);
		plus.share.sendWithSystem({pictures:[d.filename]}, function(){
		console.log('分享成功');
	}, function(e){
		console.log('分享失败');
	});
				
			//installWgt(d.filename);	// 安装wgt包
		} else {
			console.log("下载失败！");
			plus.nativeUI.alert("下载失败！");
		}
		//plus.nativeUI.closeWaiting();
	}).start();
		

}
function shareWeixinMessage2(){
	sharewx.send( {content:"3D试衣间-随时随地试衣",href:"http://115.28.163.127/3d/wx.php",pictures:[wximgurl],thumbs:[wximgurl],extra:{scene:"WXSceneTimeline"}}, function(){
		alert( "分享成功！" );
	}, function(e){
		alert( "分享失败" );
	});
}

// 登录操作
function authLogin(){
	var s = auths[0];
	if ( !s.authResult ) {
		s.login( function(e){
			// 获取登录操作结果
			var result = e.target.authResult;
			//alert( "登录认证成功："+JSON.stringify(result) );
			openid=result.openid;
			checkCookie();
		}, function(e){
			alert( "登录认证失败！" );
		}, {} );
	}
}

// 获取登录用户信息操作
function authUserInfo(){
	var s = auths[0];
	if ( !s.authResult ) {
		alert("未登录授权！");
	} else {
		s.getUserInfo( function(e){
			alert( "获取用户信息成功："+JSON.stringify(s.userInfo) );
			openid=result.openid;
			checkCookie();
		}, function(e){
			alert( "获取用户信息失败："+e.message+" - "+e.code );
		} );
	}
}

// 添加用户手机号信息
function addPhoneNumber(){
	var s = auths[0];
	if ( !s.authResult ) {
		alert("未登录授权！");
	} else {
		s.addPhoneNumber( function(e){
			alert( "添加用户手机号信息成功！" );
		}, function(e){
			alert( "添加用户手机号信息失败："+e.message+" - "+e.code );
		} );
	}
}

// 注销所有登录授权认证服务
function authLogout(){
	for ( var i in auths ) {
		var s = auths[i];
		if ( s.authResult ) {
			s.logout(function(e){
				alert( "注销登录认证成功！" );
			}, function(e){
				alert( "注销登录认证失败！" );
			});
		}
	}
}

// 检测更新
var checkUrl="http://115.28.163.127/3d/check.php";
function checkUpdate(){
	plus.nativeUI.showWaiting("检测更新...");
	var xhr=new XMLHttpRequest();
	xhr.onreadystatechange=function(){
		switch(xhr.readyState){
			case 4:
			plus.nativeUI.closeWaiting();
			if(xhr.status==200){
				console.log("检测更新成功："+xhr.responseText);
				var newVer=xhr.responseText;
				if(wgtVer&&newVer&&(wgtVer!=newVer)){
					downWgt();	// 下载升级包
				}else{
					plus.nativeUI.alert("无新版本可更新！");
				}
			}else{
				console.log("检测更新失败！");
				plus.nativeUI.alert("检测更新失败！");
			}
			break;
			default:
			break;
		}
	}
	xhr.open('GET',checkUrl);
	xhr.send();
}
// 下载wgt文件

var wgtUrl="http://115.28.163.127/3d/"+customer+".wgt";

function downWgt(){
	plus.nativeUI.showWaiting("下载wgt文件...");
	plus.downloader.createDownload( wgtUrl, {filename:"_doc/update/"}, function(d,status){
		if ( status == 200 ) { 
			console.log("下载wgt成功："+d.filename);
			installWgt(d.filename);	// 安装wgt包
		} else {
			console.log("下载wgt失败！");
			plus.nativeUI.alert("下载wgt失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}
// 更新应用资源
function installWgt(path){
	plus.nativeUI.showWaiting("安装wgt文件...");
	plus.runtime.install(path,{},function(){
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件成功！");
		plus.nativeUI.alert("应用资源更新完成！",function(){
			plus.runtime.restart();
		});
	},function(e){
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件失败["+e.code+"]："+e.message);
		plus.nativeUI.alert("安装wgt文件失败["+e.code+"]："+e.message);
	});
}

var ALIPAYSERVER='http://115.28.163.127/3d/alipay/alipay.php?total=';
var WXPAYSERVER='http://115.28.163.127/3d/alipay/wxpay.php?total=';
// 2. 发起支付请求
function pay(id){
    // 从服务器请求支付订单
    var PAYSERVER='';
    if(id=='alipay'){
        PAYSERVER=ALIPAYSERVER;
    }else if(id=='wxpay'){
        PAYSERVER=WXPAYSERVER;
    }else{
        plus.nativeUI.alert("不支持此支付通道！",null,"确认");
        return;
    }
    var xhr=new XMLHttpRequest();
    xhr.onreadystatechange=function(){
        switch(xhr.readyState){
            case 4:
            if(xhr.status==200){
                plus.payment.request(channel,xhr.responseText,function(result){
                    plus.nativeUI.alert("支付成功！",function(){
                        //back();
                    });
                },function(error){
                    plus.nativeUI.alert("支付失败：" + error.code);
                });
            }else{
                alert("获取订单信息失败！");
            }
            break;
            default:
            break;
        }
    }
    xhr.open('GET',PAYSERVER);
    xhr.send();
}